
SoundSoftware Code Site - Feature #564
Feature # 562 (Closed): Overhaul project discovery
"Explore" page
2013-01-21 04:12 PM - Chris Cannam

Status: Closed Start date: 2013-01-21
Priority: Normal Due date:
Assignee: Chris Cannam % Done: 0%
Category: Estimated time: 0.00 hour
Target version:
Description

The Projects link at top should go through an Explore page which makes it easier to find projects than the current long-list format (or,
at least, which renders more quickly and is no less useful).

The types of exploration it might want to help with include:

    -  Active / At Work
        -  Busy projects based on recent activity
        -  Projects with many participants, many committers, many names in activity log

    -  Relevant to Me
        -  Similar tags to projects I am a member of
        -  Projects with members that I have worked with also
        -  Projects having something in common with projects I've recently looked at
        -  My "favourite" projects

    -  Complete / Respected
        -  Projects with many downloads
        -  Projects with publications associated with them
        -  Projects with both publications and non-empty repository + downloads etc
        -  Marked as "complete" by project members somehow

    -  Searches and Tags
        -  Search box
        -  Popular tag cloud

Related issues:
Precedes Feature # 565: Remove "My Projects" from Projects page Closed 2013-01-22 2013-01-22

History
#1 - 2013-01-21 04:12 PM - Chris Cannam
- Assignee set to Chris Cannam

#2 - 2013-06-21 10:49 AM - Chris Cannam
- Status changed from New to Closed

The basic Explore page is now present -- let's use separate issues for further fixes/requests.
